PULSAR

Get Shifts

List shifts.

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Query Parameters

start*string

The start of the date range to filter by.

Formatdate-time
end*string

The end of the date range to filter by.

Formatdate-time
machineId?array<>

The machine's ID.

Response Body

application/json

Try it live
GET
/shifts

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X GET "https://example.com/shifts?start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z"
[  {    "hasWorkSteps": true,    "nominalSpeed": 0,    "targetQuantity": 0.1,    "operatorId": 0,    "isConsidered": true,    "end": "2019-08-24T14:15:22Z",    "start": "2019-08-24T14:15:22Z",    "title": "string",    "machineId": 0.1,    "id": 0.1  }]